<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Maquila{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO maquila (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idmaquila,$nombre,$descripcion){
	$sql="UPDATE maquila SET nombre='$nombre',descripcion='$descripcion' WHERE idmaquila='$idmaquila'";
	echo $sql;
    return ejecutarConsulta($sql);
}
public function desactivar($idmaquila){
	$sql="UPDATE maquila SET condicion='0' WHERE idmaquila='$idmaquila'";
	return ejecutarConsulta($sql);
}
public function activar($idmaquila){
	$sql="UPDATE maquila SET condicion='1' WHERE idmaquila='$idmaquila'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idmaquila){
	$sql="SELECT * FROM maquila WHERE idmaquila='$idmaquila'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM maquila";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM maquila WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
